import { watch } from "@vue/runtime-dom";
let timeout = null;
let queued = {};
export function monitor(name, state) {
    return watch(state, function onStateChange(next, prev) {
        if (!timeout) {
            timeout = setTimeout(printQueued);
        }
        if (!queued[name]) {
            queued[name] = { next, prev, };
        }
        else {
            queued[name].next = next;
        }
    });
}
function printQueued() {
    // eslint-disable-next-line no-console
    console.table(queued);
    timeout = null;
    queued = {};
}
